%define	name	kalbum
%define	version	0.8.0
%define	release	1mdk

Summary:	Application to create albums out of image collections 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.paldandy.com/kalbum/
Group:		Graphical desktop/KDE
Source0: 	%{name}-%{version}.tar.bz2
#48x48 icon
Source1:	%{name}.png.bz2
Source2:	%{name}-nb.po.bz2
Patch1:	%{name}.applnk.patch.bz2
Patch2:		%{name}-nb.patch.bz2
BuildRequires:  libqt3-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Kalbum is a KDE 3 application that allows you to create albums
out of a collection of images. 

main features: 
* Easy to use thumbnail interface
* Export the albums as a complete web site
* Easy to edit html templates for creating a customized web site
* Drag and Drop

%prep
%setup -q
%patch1 -p0
%patch2 -p0 -b .orig
bzcat %{SOURCE2} > po/nb.po

%build
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-final \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=/usr/lib/qt3
		
%make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" FFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
#kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/x-%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT/usr/share/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/%{name}/common

#No i18n files for now, but we might as well just leave this macro here
#as it does'nt cause any harm and we won't forget to add it in the future
%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang 
%defattr(644,root,root,755)
%docdir %{name}-api
%doc %{name}-api/*.html
%doc %{_docdir}/HTML/*/%{name}
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applnk/Applications/%{name}.desktop
#%{_datadir}/applnk/Applications/x-%{name}.desktop
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*
%{_datadir}/mimelnk/application/x-%{name}.desktop
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Mon Mar 10 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8.0-1mdk
- 0.8.0
- spec-file cleanups
- relativisate symlink in stead of deleting it
- added nb translation (Patch2 and Source2
- Updated Patch1
- Add mimetype

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Sun Nov 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Correct URL
	- Fixed too long description line
	- Removed symlink in docdir
	- Fixed longtitle in menu
	- Use makeinstall macro
	- Added optimization flags
	- Added kalbum-api documentation

* Thu Nov 07 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.7.0-1mdk
- First mdk release
